// $LastChangedDate: 2010-11-12 11:27:22 -0500 (Fri, 12 Nov 2010) $

const int TEXTURE_UNIT_SHADOW  = 3;
const int SHADOW_MODE_DISABLED = 0;
const int SHADOW_MODE_SAMPLE1  = 1;
const int SHADOW_MODE_SAMPLE4  = 2;
uniform sampler2D       uni_texture_0;
uniform sampler2DShadow uni_texture_shadow;
uniform int   uni_shadowMode;
uniform bool  uni_shaderMode_texture;
uniform bool  uni_glass;
uniform vec4  uni_baseAmbient;  // baseAmbient and brightness are similar
uniform float uni_brightness;
uniform float uni_alphaBias;
uniform vec4  uni_fogColor;
uniform float uni_fogDensity;
uniform float uni_fogMin;  // unit range (for computed fog value)
varying float var_lightIntensity;
varying vec4  var_colorAmbientEmissive;
